//
// Reason for this file?
//  => WCR already incudes jQueryUI on some pages using a <script> tag
//  => If a module would thus require(jqueryUI), it would load it twice, once as a module, once as a script...
//  => Furthermore we also need to import the WebCenter specific stylesheet for jqueryUI
//

// Where is the jqueryUI library located?
var webInst = '/'+window.location.href.split(/[\/\\]/)[3];// Gives /wcr-web if we are in /wcr-web
if(window.webcenterConfig!==undefined && window.webcenterConfig.webInstAbsPath!=undefined) {
	webInst = window.webcenterConfig.webInstAbsPath;
}

if(window.webcenterConfig!==undefined && window.webcenterConfig.jqueryUIIncludedInPage!==undefined){
    // jquery was included in the page using <script> tags...
	define("jqueryUI", [], function(){
		return window.jQuery;
	});
} else {
	// load jqueryUI and the stylesheet for jqueryUI...
	define("jqueryUI", ["lib/jqueryUI-src-1.10.4", "utils/DomUtils"], function(jqueryUI, DomUtils){

        return jqueryUI;
    });
}