/**
 * @author PASH
 */
define(["jquery",
        "underscore",
        "utils/webcss!./ContentStatementElementMainPanelStyle.css"],
		function($, _){
	
	"use strict";
	
	/**
	 * Constructor to generate panel, which holds edit and referenced by details panel.
	 * @param content {JQuery} - object of edit content statement element panel.
	 */
	var ContentStatementElementMainPanelView = function(content) {
		
		// Create the wrapping div of the panel.
		this._wrapper = $("<div>", {"id" : "ContentStatementElementMainPanelView"});
		
		this._wrapper.append(content);
	};
	
	ContentStatementElementMainPanelView.prototype.getJQElement = function () {
		return this._wrapper;
	};
	
	return ContentStatementElementMainPanelView;
});