/**
 * ConnectionInfo
 */


define([], function() {
	"use strict";
	
	var ConnectionInfo = function (json) {
		this._id = json.id;
		this._timeStamp = json.timeStamp;
		this._bwUp = json.bwUp;
		this._bwDown = json.bwDown;
		this._packetsUp = json.packetsUp;
		this._packetsDown = json.packetsDown;
	};
	
	ConnectionInfo.prototype.getId = function () {
		return this._id;
	};
	
	ConnectionInfo.prototype.getTimeStamp = function () {
		return this._timeStamp;
	};
	
	ConnectionInfo.prototype.getBandWidthDown = function () {
		return this._bwDown;
	};
	
	ConnectionInfo.prototype.getBandWidthUp = function () {
		return this._bwUp;
	};
	
	ConnectionInfo.prototype.getPacketsUp = function () {
		return this._packetsUp;
	};
	
	ConnectionInfo.prototype.getPacketsDown = function () {
		return this._packetsDown;
	};
	
	return ConnectionInfo;
});
	