//
// Reason for this file?
//  => WCR already incudes jQuery on some pages using a <script> tag
//  => If a module would thus require(jquery), it would load it twice, once as a module, once as a script...
//  => Furthermore we also need to import the WebCenter specific stylesheet for jquery
//

// Where is the jquery library located?
var webInst = '/'+window.location.href.split(/[\/\\]/)[3];// Gives /wcr-web if we are in /wcr-web
if(window.webcenterConfig!==undefined && window.webcenterConfig.webInstAbsPath!=undefined) {
	webInst = window.webcenterConfig.webInstAbsPath;
}

if(window.webcenterConfig!==undefined && window.webcenterConfig.jqueryIncludedInPage!==undefined){
    // jquery was included in the page using <script> tags...
	define("jquery", [], function(){
		return window.jQuery;
	});
}else{
	// Depend on jquery-migrate (migrate will depend on jQuery-src)
	define("jquery", ["lib/jquery-migrate-src-1.2.1"], function($){
		return $;
	});
}