define(["jquery",
        "underscore",
        "lib/EventEmitter2"],
		function($, _,	EventEmitter2) {
			
		"use strict";
		
		if (!window.pcmEventBus) {
			window.pcmEventBus = new EventEmitter2({
				wildcard: true, // should the event emitter use wildcards.
				delimiter: '.', // the delimiter used to segment namespaces,
				newListener: true // if you want to emit the newListener event
			});
			
			window.pcmEventBus.setMaxListeners(999); 
		}
		
		return window.pcmEventBus;
});