define([], function () {
"use strict";
    
    var WCRError = function (langTag, message) {
        Error.call(this);
        this.errormessage = message;
        this.langTag = langTag;
        
        // when printing (firefox does not seem to support overriding toString for Error)
        this.message = (this.errormessage?this.errormessage+" ":"")+(this.langTag?"(langTag: "+this.langTag+")":"");
    };
    
    WCRError.prototype = Object.create(Error.prototype);
	WCRError.prototype.constructor = WCRError;
    WCRError.prototype.name = "WCRError";
    
    WCRError.prototype.getTag = function() {
    	return this.langTag;
    };
    
    return WCRError;
});